Name:          jsonic
Version:       1.3.0
Release:       5%{?dist}
Summary:       Simple JSON encoder/decoder for Java
License:       ASL 2.0
URL:           http://jsonic.sourceforge.jp/
Source0:       http://jaist.dl.sourceforge.jp/%{name}/56583/%{name}-%{version}.zip
# fix maven compiler-plugin configuration
# fix encoding
# fix build deps
# disable unavailable org.seasar.container:s2-framework support
# https://www.seasar.org/svn/s2container/
Patch0:        %{name}-%{version}-pom.patch

BuildRequires: mvn(org.apache.commons:commons-logging)
BuildRequires: mvn(org.apache.tomcat:tomcat-servlet-api)
BuildRequires: mvn(org.springframework:spring-beans)
BuildRequires: mvn(org.springframework:spring-context)
BuildRequires: mvn(org.springframework:spring-core)
BuildRequires: mvn(org.springframework:spring-web)
BuildRequires: mvn(org.sonatype.sisu:sisu-guice)
%if %{?fedora} <= 20
BuildRequires: mvn(org.sonatype.sisu.inject:guice-extensions)
%endif
BuildRequires: mvn(org.sonatype.sisu.inject:guice-servlet)

BuildRequires: maven-local

BuildArch:     noarch

%description
Jsonic is a JSON encoding/decoding library for Java implementing RFC 4627
(The application/JSON Media Type for JavaScript Object Notation).
Encoding/decoding of primitive types and full Java objects is supported.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
# cleanup
find -name "*.class" -print -delete
find -name "*.jar" -print -delete
rm -r docs/*

%patch0 -p0

sed -i 's/\r//' LICENSE.txt

# Remove javadoc warning
# rm -r src/java/net/arnx/jsonic/web/extension/S2Container.java

%mvn_file : %{name}

%build

# No tests to run
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Mon Feb 09 2015 gil cattaneo <puntogil@libero.it> 1.3.0-5
- introduce license macro

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.3.0-3
- Use Requires: java-headless rebuild (#1067528)

* Wed Dec 04 2013 gil cattaneo <puntogil@libero.it> 1.3.0-2
- used suggested description (1005800#c3)

* Wed Jan 30 2013 gil cattaneo <puntogil@libero.it> 1.3.0-1
- initial rpm
